<template>
    <div class="shadow-md rounded py-2 px-3 max-w-sm md:max-w-md lg:max-w-lg xl:max-w-xl" v-bind:class="{'bg-teal-200': rcvd, 'bg-indigo-200': sent}">
        <p class="text-sm font-bold" v-bind:class="{'text-teal-900': rcvd, 'text-indigo-900': sent}">{{sent ? from : to}}</p>
        <p v-if="category == 'personal/data'" class="text-sm mt-1"> 
            <slot></slot>    
        </p>
        <p class="text-right text-xs text-grey-dark mt-1"> {{time}} </p>
    </div>
</template>
<script>
import './style.css'
export default {
    name: "WeeMessageComponent",
    props: ["sent", "rcvd", "time", "from", "to", "category", "type"]
}
</script>
<style scoped>

</style>